/////////////WRITTEN BY ZACH G. (C) 2021 DORAEZACHTEAM LTD.
/////////////TORQUE GAME ENGINE (C) 2001 - 2021 GARAGEGAMES.COM
datablock TSShapeConstructor(CharlieBrownDts) {
	baseShape = "./charlie.dts";
	sequence0  = "./cb_root.dsq root";

	sequence1  = "./cb_walk.dsq run";
	sequence2  = "./cb_walk.dsq walk";
	sequence3  = "./cb_back.dsq back";
	sequence4  = "./cb_back.dsq side";

	sequence5  = "./cb_crouch.dsq crouch";
	sequence6  = "./cb_crouchrun.dsq crouchRun";
	sequence7  = "./cb_crouchrun.dsq crouchBack";
	sequence8  = "./cb_crouchrun.dsq crouchSide";

	sequence9  = "./cb_look.dsq look";
	sequence10 = "./cb_headside.dsq headside";
	sequence11 = "./cb_root.dsq headUp";

	sequence12 = "./cb_jump.dsq jump";
	sequence13 = "./cb_jump.dsq standjump";
	sequence14 = "./cb_root.dsq fall";
	sequence15 = "./cb_root.dsq land";

	sequence16 = "./cb_armAttack.dsq armAttack";
	sequence17 = "./cb_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./cb_armReadyRight.dsq armReadyRight";
	sequence19 = "./cb_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./cb_spearready.dsq spearready";  
	sequence21 = "./cb_spearThrow.dsq spearThrow";

	sequence22 = "./cb_talk.dsq talk";  

	sequence23 = "./cb_death1.dsq death1"; 
	
	sequence24 = "./cb_root.dsq shiftUp";
	sequence25 = "./cb_root.dsq shiftDown";
	sequence26 = "./cb_shiftAway.dsq shiftAway";
	sequence27 = "./cb_root.dsq shiftTo";
	sequence28 = "./cb_root.dsq shiftLeft";
	sequence29 = "./cb_root.dsq shiftRight";
	sequence30 = "./cb_rotCW.dsq rotCW";
	sequence31 = "./cb_rotCCW.dsq rotCCW";

	sequence32 = "./cb_root.dsq undo";
	sequence33 = "./cb_plant.dsq plant";

	sequence34 = "./cb_sit.dsq sit";

	sequence35 = "./cb_shiftAway.dsq wrench";

   sequence36 = "./cb_activate.dsq activate";
   sequence37 = "./cb_activate2.dsq activate2";

   sequence38 = "./cb_leftrecoil.dsq leftrecoil";
};


datablock AudioProfile(CharlieBrownDeathSound)
{
	fileName = "./cb_miss.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(CharlieBrownJumpSound)
{
    fileName = "./cb_jump.wav";
    description = AudioClose3d;
    preload = true;
};
datablock AudioProfile(CharlieBrownPainSound)
{
    fileName = "./cb_pain.wav";
    description = AudioClose3d;
    preload = true;
}; 

datablock PlayerData(CharlieBrownArmor : PlayerStandardArmor)
{
   shapeFile = "./charlie.dts";
	uiName = "Charlie Brown";
	canJet = 1;
	maxDamage = "400";

useCustomPainEffects = true;
   PainSound			= CharlieBrownPainSound;
   DeathSound			= CharlieBrownDeathSound;
   JumpSound			= CharlieBrownJumpSound;
};

datablock PlayerData(CharlieBrownNoJetArmor : PlayerStandardArmor)
{
   shapeFile = "./charlie.dts";
	uiName = "Charlie Brown (No Jet)";
	canJet = 0;
	maxDamage = "400";

useCustomPainEffects = true;
   PainSound			= CharlieBrownPainSound;
   DeathSound			= CharlieBrownDeathSound;
   JumpSound			= CharlieBrownJumpSound;
};